Masumi Logo

/swap-confirm

Check on-chain confirmation status of a swap transaction by transaction hash. Use after POST /swap/ to poll until status is confirmed. Mainnet only.

GET
/swap/confirm
token<token>

API key authentication via header (token)

In: header

Query Parameters

txHash*string

Transaction hash to check

Match^[0-9a-fA-F]{64}$
Length64 <= length <= 64
walletVkey*string

Wallet verification key (vKey) that submitted the swap

Match^[0-9a-fA-F]{56}$
Length56 <= length <= 56

Response Body

application/json

curl -X GET "https://loading/./../api/v1/swap/confirm?txHash=stringstringstringstringstringstringstringstringstringstringstri&walletVkey=stringstringstringstringstringstringstringstringstringst"
{
  "status": "Confirmed",
  "swapStatus": "OrderConfirmed",
  "confirmations": 15
}
Empty
Empty
Empty
Masumi Kanji